/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLParamElement_H___INT_
#define __GdomHTMLParamElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLParamElement.h"
G_BEGIN_DECLS
class GDOMHTMLParamElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_PARAM_ELEMENT; }
    GDOMHTMLParamElement(PassRefPtr<WebCore::HTMLParamElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLParamElement_H___INT_*/
